<?php
header('Content-Type: application/json');
require("dbinfo.php");
require_once("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$sql = "";
$sqlres = "";


if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if( $_REQUEST["sqlres"] ) {
   $sqlres = $_REQUEST['sqlres'];
}


$resultado = mysqli_query($con,$sql);

$historia = '';
if( $_REQUEST["historia"] ) {
   $historia = $_REQUEST['historia'];
}

$id = 0;
if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

$usuario = '';
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}

$tipo='';
if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}

$fecha = dl_fecha::dl_ahora_texto();



if( $id > -1 && $historia != '')
{
   $sql = "INSERT INTO log (id_conex,descripcion,tipo,usuario,fecha) VALUES (" . $id . ",'" . $historia . "','" . $tipo . "','" . $usuario . "','" . $fecha . "')";
   $resultado = mysqli_query($con,$sql);
}


if ($sqlres != '')
{
   $resultado2 = mysqli_query($con,$sqlres);
}



mysqli_close($con);


if ($resultado2)
{
   while ($row = mysqli_fetch_assoc($resultado2)) {
      $res[] = $row;
   }
}   
else
{
   $resultado = array('mensaje'=> $sql);
   $res = json_encode($resultado);
}
echo json_encode($res);
?>